-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0   -- large centre screen pop up
MT_ALERT = 1  -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2


function TestCondition(condition)
   return _G["TestCondition" .. event]();
end

function OnEvent(event)
	
	if (event == "intro") then
		SysCall ( "ScenarioManager:ShowInfoMessageExt", " ", "The conductor's just gotten back onboard, line the switches then take us out the south leg of the wye.", 0, MSG_VCENTRE + MSG_LEFT, MSG_SMALL, TRUE );
	end

end